iOS 8.1.3의 보안 콘텐츠에 관하여

이 문서에서는 iOS 8.1.3의 보안 콘텐츠에 대해 설명합니다.

Apple은 고객 보호를 위해 완벽한 조사를 마치고 필요한 패치 또는 출시가 이루어질 때까지 보안 문제에 대해 공개하거나, 이야기하거나, 확인하지 않습니다. Apple 제품 보안에 대한 자세한 내용을 알아보려면 Apple 제품 보안 웹 사이트를 참조하십시오.

Apple 제품 보안 PGP 키에 관한 자세한 내용은 Apple 제품 보안 PGP 키 사용 방법을 참조하십시오.

가능한 경우 CVE ID로 취약성에 대한 추가 정보를 확인할 수 있습니다.

다른 보안 업데이트에 대한 자세한 내용은 Apple 보안 업데이트를 참조하십시오.

iOS 8.1.3

  • AppleFileConduit

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악의적으로 제작된 afc 명령이 파일 시스템의 보호된 부분에 대한 접근 권한을 허용할 수 있음

    설명: afc의 기호 링크 메커니즘에서 취약점이 발생합니다. 이 문제는 경로 확인을 추가하여 해결되었습니다.

    CVE-ID

    CVE-2014-4480: TaiG Jailbreak 팀

  • CoreGraphics

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악의적으로 제작된 PDF 파일을 열면 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있습니다.

    설명: PDF 파일을 처리할 때 정수 오버플로우가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4481: iSIGHT Partners GVP Program과 협력하는 Binamuse VRT의 Felipe Andres Manzano

  • dyld

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 로컬 사용자가 서명되지 않은 코드를 실행할 수 있음

    설명: 중복 세그먼트가 있는 Mach-O 실행 파일을 처리할 때 상태 관리 문제가 발생했습니다. 이 문제는 향상된 세그먼트 크기 확인을 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4455: TaiG Jailbreak 팀

  • FontParser

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악의적으로 제작된 PDF 파일을 열면 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있습니다.

    설명: 서체 파일을 처리할 때 버퍼 오버플로우가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4483: Apple

  • FontParser

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악의적으로 제작된 .dfont 파일을 처리할 때 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있음

    설명: .dfont 파일을 처리할 때 메모리 손상 문제가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4484: HP의 Zero Day Initiative와 협력하는 Gaurav Baruah

  • Foundation

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악의적으로 제작된 XML 파일을 보는 경우 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있음

    설명: XML 파서에서 버퍼 오버플로우가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4485: Apple

  • IOAcceleratorFamily

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: IOAcceleratorFamily에서 리소스 목록을 처리할 때 null 포인터 역참조가 발생합니다. 이 문제는 필요하지 않은 코드를 제거하여 해결되었습니다.

    CVE-ID

    CVE-2014-4486: Google Project Zero의 Ian Beer

  • IOHIDFamily

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: IOHIDFamily에서 버퍼 오버플로우가 발생합니다. 이 문제는 향상된 크기 확인을 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4487: TaiG Jailbreak 팀

  • IOHIDFamily

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: IOHIDFamily에서 리소스 대기열 메타데이터를 처리할 때 확인 문제가 발생합니다. 이 문제는 메타데이터에 대한 향상된 확인을 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4488: Apple

  • IOHIDFamily

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: IOHIDFamily에서 이벤트 대기열을 처리할 때 null 포인터 역참조가 발생합니다. 이 문제는 향상된 확인을 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4489: @beist

  • iTunes Store

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 웹 사이트가 iTunes Store를 사용하여 샌드 박스 제한을 우회할 수 있음

    설명: Safari에서 iTunes Store로 리디렉션된 URL을 처리할 때 악성 웹 사이트가 Safari의 샌드 박스 제한을 우회하도록 허용할 수 있는 문제가 발생합니다. 이 문제는 iTunes Store에서 열리는 URL의 향상된 필터링을 통해 해결되었습니다.

    CVE-ID

    CVE-2014-8840: HP의 Zero Day Initiative와 협력하는 lokihardt@ASRT

  • Kerberos

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: Kerberos libgssapi 라이브러리가 댕글링 포인터가 있는 컨텍스트 토큰을 반환합니다. 이 문제는 향상된 상태 관리를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-5352

  • 커널

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악의적으로 제작되거나 손상된 iOS 응용 프로그램에서 커널의 주소를 확인할 수도 있음

    설명: 커널 확장과 관련된 API를 처리할 때 정보 공개 문제가 발생합니다. OSBundleMachOHeaders 키가 포함된 응답에 ASLR(Address Space Layout Randomization) 보호를 우회하는 데 도움을 줄 수 있는 커널 주소가 포함되어 있을 수 있습니다. 이 문제는 주소가 반환되기 전에 주소를 언슬라이딩하여 해결되었습니다.

    CVE-ID

    CVE-2014-4491: @PanguTeam, Stefan Esser

  • 커널

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: 공격자가 읽기 전용으로 설계된 메모리에 쓰도록 허용하는 문제가 커널 공유 메모리 하위 시스템에서 발생합니다. 이 문제는 공유 메모리 권한을 더욱 엄격하게 확인하여 해결되었습니다.

    CVE-ID

    CVE-2014-4495: Google Project Zero의 Ian Beer

  • 커널

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악의적으로 제작되거나 손상된 iOS 응용 프로그램에서 커널의 주소를 확인할 수도 있음

    설명: mach_port_kobject 커널 인터페이스에서 커널 주소 및 힙 치환 값을 손실하여 주소 공간 레이아웃 임의 선택 보호를 우회하도록 지원할 수 있습니다. 이는 생산 구성에서 mach_port_kobject 인터페이스를 비활성화하여 해결되었습니다.

    CVE-ID

    CVE-2014-4496: TaiG Jailbreak 팀

  • libnetcore

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 샌드박스가 적용된 악성 App은 네트워크가 연결된 데몬에 손상을 줄 수 있음

    설명: 네트워크가 연결된 상호 프로세스 커뮤니케이션을 처리할 때 여러 가지 유형 혼돈 문제가 발생합니다. 악의적으로 포맷된 메시지를 네트워크 연결로 보내면 네트워크가 연결된 프로세스로 임의 코드를 실행할 수 있습니다. 이 문제는 추가 유형 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4492: Google Project Zero의 Ian Beer

  • MobileInstallation

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악성 엔터프라이즈 서명 응용 프로그램은 장비에서 이미 응용 프로그램의 로컬 컨테이너를 제어할 수 있음

    설명: 응용 프로그램 설치 프로세스에서 취약점이 발생합니다. 이 문제는 엔터프라이즈 응용 프로그램이 특정 시나리오에서 기존의 응용 프로그램을 무시하지 않도록 방지하여 해결되었습니다.

    CVE-ID

    CVE-2014-4493: FireEye, Inc.의 Hui Xue 및 Tao Wei

  • 스프링보드

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 엔터프라이즈 서명 응용 프로그램이 신뢰를 위한 메시지 없이 실행될 수 있음

    설명: 엔터프라이즈 서명 응용 프로그램을 처음 여는 경우 메시지를 표시할 시기를 결정할 때 문제가 발생됩니다. 이 문제는 향상된 코드 서명 확인을 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4494: FireEye, Inc.의 Song Jin, Hui Xue 및 Tao Wei

  • WebKit

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악성 콘텐츠가 있는 웹 사이트를 방문하면 UI 스푸핑이 야기될 수 있음

    설명: 스크롤바 경계를 처리할 때 UI 스푸핑 문제가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4467: Jordan Milne

  • WebKit

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 스타일 시트가 출처 간 로드되어 데이터 유출을 허용할 수 있음

    설명: img 요소에 로드된 SVG가 출처 간 CSS 파일을 로드할 수 있습니다. 이 문제는 SVG에서 외부 CSS 참조의 개선된 차단을 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4465: iSEC Partners의 Rennie deGraaf

  • WebKit

    대상: iPhone 4s 이후, iPod touch (5th generation) 이후, iPad 2 이후 제품

    영향: 악의적으로 제작된 웹 사이트를 방문하면 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있음

    설명: WebKit에서 여러 가지 메모리 손상 문제가 발생합니다. 이 문제는 향상된 메모리 처리를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-3192: cloudfuzzer

    CVE-2014-4459

    CVE-2014-4466: Apple

    CVE-2014-4468: Apple

    CVE-2014-4469: Apple

    CVE-2014-4470: Apple

    CVE-2014-4471: Apple

    CVE-2014-4472: Apple

    CVE-2014-4473: Apple

    CVE-2014-4474: Apple

    CVE-2014-4475: Apple

    CVE-2014-4476: Apple

    CVE-2014-4477: HP의 Zero Day Initiative와 협력하는 lokihardt@ASRT

    CVE-2014-4479: Apple

Apple이 제조하지 않은 제품에 관한 정보 또는 Apple의 관리 또는 테스트 대상이 아닌 독립적인 웹 사이트는 권장 또는 보증 없이 제공되는 것입니다. Apple은 타사 웹 사이트 또는 제품에 대한 선택, 성능, 사용과 관련하여 발생하는 결과에 대해 책임을 지지 않습니다. Apple은 타사 웹 사이트의 정확성 또는 신뢰도에 대해 어떠한 언급도 하지 않습니다. 인터넷을 사용하는 데는 위험이 따르기 마련입니다. 자세한 내용은 공급업체에 문의하십시오. 기타 회사 및 제품 이름은 각 소유자의 상표일 수 있습니다.

게시일: